#ifndef ENGINE_H
#define ENGINE_H

#include <SDL3/SDL.h>

class Engine
{
public:
	Engine();
	~Engine();

	void Init();
	void Shutdown();

	void Run();

	void Frame_SDL();

	void Frame();

	void RenderFrame();

	void NewGame(const char* mapname);

	void Disconnect();

	SDL_Window* GetWindow();

	void RequestExit();

	float GetDelta();

private:
	SDL_Window* m_window = nullptr;
	bool m_run = true;
};

Engine* GetEngine();

#endif